Apply Space Quota

Apply Space Quota
Apply a space quota to a space

This endpoint applies a space quota to one or more spaces.

Only an admin or an org manager in the quota’s parent organization can apply a space quota to a space.

Request
URI
POST
https://api.example.local/v3/space_quotas/{quota_guid}/relationships/spaces
COPY
Path Parameters
string
quota_guid
Required

quota_guid


Request Body
RelationshipToMany of type(s) application/json
Optional
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RelationshipToMany of type(s) application/json
{
    "data": [
        {
            "guid": "string"
        }
    ]
}
array of object
data
Optional

data


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/space_quotas/{quota_guid}/relationships/spaces